Subject: Re: [PATCH 0/4] Don't warn about missing EOL for symlinks

From: Michael J Gruber <[email-masked]>
Date: Thu, 03 Jun 2010 16:57:44 +0200

Matthieu Moy venit, vidit, dixit 03.06.2010 16:47:
> Michael J Gruber <[email-masked]> writes:
> 
>> "No newline at end of file" always confuses me when looking at a diff for
>> symlinks. "File? Huh? Didn't Git recognize my symlink?"
> 
> For interactive use, I do understand. But how do you deal with the
> (improbable) case of a user actually adding a newline at the end of
> the target of the symlink, and then using format-patch and am to apply
> the changes somewhere else?
> 
> You probably want to make sure your patch doesn't modify format-patch.
> 
> BTW, I disagree that the message is a "warning": it's actually a piece
> of information, part of the patch, but that we find annoying in this
> case.
> 

May I kindly direct you to the next parts you cut out, especially the
one talking about "described thorougly along with the
rationale in 3/4", and to the commit message of 3/4? :)

I'm not breaking existing tests, of course, which also test
format-patch/apply cycles with symlinks.

Michael